Skip to main content
GET
/
v2
/
remittances
/
{remittanceId}
Check remittance status
curl --request GET \
  --url https://api.sandbox.pawapay.io/v2/remittances/{remittanceId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.pawapay.io/v2/remittances/{remittanceId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.pawapay.io/v2/remittances/{remittanceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "FOUND",
  "data": {
    "remittanceId": "8917c345-4791-4285-a416-62f24b6982db",
    "status": "COMPLETED",
    "amount": "123.00",
    "currency": "ZMW",
    "country": "ZMB",
    "recipient": {
      "type": "MMO",
      "accountDetails": {
        "phoneNumber": "260763456789",
        "provider": "MTN_MOMO_ZMB"
      }
    },
    "customerMessage": "From ACME company",
    "created": "2020-10-19T08:17:01Z",
    "providerTransactionId": "12356789",
    "metadata": {
      "orderId": "ORD-123456789",
      "customerId": "customer@email.com"
    }
  }
}
Get the current status of the remittance based on its remittanceId.

Authorizations

Authorization
string
header
required

Path Parameters

remittanceId
string<uuid>
required

The id of the remittance that you are performing this operation on.

Required string length: 36

Response

Request has been processed by PawaPay

status
enum<string>
required

The result of this operation.

  • FOUND - The payment was found in PawaPay.
  • NOT_FOUND - The payment was not found in PawaPay.
Available options:
FOUND,
NOT_FOUND
data
object